// domenu.cpp
// Glenn G. Chappell
// 7 Nov 2013
//
// For CS 202 Fall 2013
// Skeleton Program with Menu

#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <string>
using std::string;
#include <sstream>
using std::istringstream;


// doMenu
int doMenu()
{
    int n;          // User's choice from menu
    string errmsg;  // Top-of-menu error message

    // Continue until proper choice made
    while (true)
    {
        // Print menu & prompt
        cout << errmsg << endl;
        errmsg = "";
        cout << endl;
        cout << "1  Print an awesome number" << endl;
        cout << "2  Print \"Hi-dee-ho!\"" << endl;
        cout << "0  Exit" << endl;
        cout << endl;
        cout << "Choice? ";

        // Get input from user
        string line;
        getline(cin, line);
        cout << endl;
        if (!cin)
        {
            cin.clear();
            errmsg = "Please type a valid choice";
            continue;
        }

        // Read number from input line
        istringstream iss(line);
        iss >> n;
        if (!iss)
        {
            errmsg = "Please type a valid choice";
            continue;
        }
        if (n < 0 || n > 2)
        {
            errmsg = "Choice must be in range 0 .. 2";
            continue;
        }

        return n;
    }
}


// Main program
// Repeat: print menu, get selection, act on it
int main()
{
    while (true)
    {
        // Get menu selection
        int n = doMenu();

        // If user wants to exit, then do so
        if (n == 0)
            break;

        // Perform appropriate action
        switch (n)
        {
        case 1:
            cout << "37" << endl;
            break;
        case 2:
            cout << "Hi-dee-ho!" << endl;
            break;
        }
    }

    return 0;
}

